Accessibility

Security bulletin

Security updates available for Adobe Flash Player

Release date: May 14, 2013

Vulnerability identifier: APSB13-14

Priority: See table below

CVE number: CVE-2013-2728, CVE-2013-3324, CVE-2013-3325, CVE-2013-3326, CVE-2013-3327, CVE-2013-3328, CVE-2013-3329, CVE-2013-3330, CVE-2013-3331, CVE-2013-3332, CVE-2013-3333, CVE-2013-3334, CVE-2013-3335

Platform: All platforms

Summary

Adobe has released security updates for Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.280 and earlier versions for Linux, Adobe Flash Player 11.1.115.54 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.7.700.202.
  • Users of Adobe Flash Player 11.2.202.280 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.285.
  • Adobe Flash Player 11.7.700.169 installed with Google Chrome (and version 11.7.700.179 on the Windows platform) will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.202 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.7.700.169 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.202 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.54 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.58. 
  • Users of Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.54.
  • Users of Adobe AIR 3.7.0.1530 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.7.0.1860.
  • Users of Adobe AIR 3.7.0.1660 and earlier versions for Android should update to Adobe AIR 3.7.0.1860.
  • Users of the Adobe AIR 3.7.0.1530 SDK & Compiler and earlier versions should update to the Adobe AIR 3.7.0.1860 SDK & Compiler.

Affected software versions

  • Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh
  • Adobe Flash Player 11.2.202.280  and earlier versions for Linux
  • Adobe Flash Player 11.1.115.54 and earlier versions for Android 4.x
  • Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x
  • Adobe AIR 3.7.0.1530 and earlier versions for Windows and Macintosh
  • Adobe AIR 3.7.0.1660 and earlier versions for Android
  • Adobe AIR 3.7.0.1530 SDK & Compiler and earlier versions

To verify the version of Adobe Flash Player installed on your system, access the About Flash Player page, or right-click on content running in Flash Player and select "About Adobe (or Macromedia) Flash Player" from the menu.  If you use multiple browsers, perform the check for each browser you have installed on your system.

To verify the version of Adobe Flash Player for Android, go to Settings > Applications > Manage Applications > Adobe Flash Player x.x.

To verify the version of Adobe AIR installed on your system, follow the instructions in the Adobe AIR TechNote.

Solution

Adobe recommends users update their software installations by following the instructions below:

  • Adobe recommends users of Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh update to the newest version 11.7.700.202 by downloading it from the Adobe Flash Player Download Center.  Users of Flash Player 11.2.x or later for Windows, or Flash Player 11.3.x or later for Macintosh, who have selected the option to 'Allow Adobe to install updates' will receive the update automatically.  Users who do not have the 'Allow Adobe to install updates' option enabled can install the update via the update mechanism within the product when prompted.
  • Adobe recommends users of Adobe Flash Player 11.2.202.280 and earlier versions for Linux update to Adobe Flash Player 11.2.202.285 by downloading it from the Adobe Flash Player Download Center.
  • For users of Flash Player 10.3.183.75 and earlier versions for Windows and Macintosh, who cannot update to Flash Player 11.7.700.202, Adobe has made available the update Flash Player 10.3.183.86, which can be downloaded here.
  • For users of Flash Player 10.3.183.75 and earlier versions for Linux, who cannot update to Flash Player 11.2.202.285, Adobe has made available the update Flash Player 10.3.183.86, which can be downloaded here.
  • Adobe Flash Player 11.7.700.169 installed with Google Chrome (and version 11.7.700.179 on the Windows platform) will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.202 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.7.700.169 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.202 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.54 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.58*. 
    * Note: Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012.
  • Users of Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.54*. 
    * Note: Applicable only for Android 3.x devices and earlier with Flash Player installed prior to August 15, 2012.
  • Users of Adobe AIR 3.7.0.1530 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.7.0.1860.
  • Users of the Adobe AIR 3.7.0.1660 and earlier versions for Android should update to Adobe AIR 3.7.0.1860 by browsing to Google play or the Amazon Marketplace on an Android device.

Priority and severity ratings

Adobe categorizes these updates with the following priority ratings and recommends users update their installations to the newest versions:

Product Updated version Platform Priority rating
Adobe Flash Player
11.7.700.202 Windows
1
  11.7.700.202 Macintosh
2
  11.2.202.285 Linux
3
  11.1.115.58 Android 4.x
3
  11.1.111.54 Android 3.x and 2.x
3
       
Adobe AIR 3.7.0.1860 Windows, Macintosh, Android and SDK & Compiler (includes AIR for iOS)
3
       
       

These updates address critical vulnerabilities in the software.

Details

Adobe has released security updates for Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh, Adobe Flash Player 11.2.202.280 and earlier versions for Linux, Adobe Flash Player 11.1.115.54 and earlier versions for Android 4.x, and Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x.  These updates address vulnerabilities that could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe recommends users update their product installations to the latest versions:

  • Users of Adobe Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh should update to Adobe Flash Player 11.7.700.202.
  • Users of Adobe Flash Player 11.2.202.280 and earlier versions for Linux should update to Adobe Flash Player 11.2.202.285.
  • Adobe Flash Player 11.7.700.169 installed with Google Chrome (and version 11.7.700.179 on the Windows platform) will automatically be updated to the latest Google Chrome version, which will include Adobe Flash Player 11.7.700.202 for Windows, Macintosh and Linux.
  • Adobe Flash Player 11.7.700.169 installed with Internet Explorer 10 will automatically be updated to the latest Internet Explorer 10 version, which will include Adobe Flash Player 11.7.700.202 for Windows 8.
  • Users of Adobe Flash Player 11.1.115.54 and earlier versions on Android 4.x devices should update to Adobe Flash Player 11.1.115.58. 
  • Users of Adobe Flash Player 11.1.111.50 and earlier versions for Android 3.x and 2.x should update to Flash Player 11.1.111.54.
  • Users of Adobe AIR 3.7.0.1530 and earlier versions for Windows and Macintosh should update to Adobe AIR 3.7.0.1860.
  • Users of Adobe AIR 3.7.0.1660 and earlier versions for Android should update to Adobe AIR 3.7.0.1860.
  • Users of the Adobe AIR 3.7.0.1530 SDK & Compiler and earlier versions should update to the Adobe AIR 3.7.0.1860 SDK & Compiler.

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2013-2728, CVE-2013-3324, CVE-2013-3325, CVE-2013-3326, CVE-2013-3327, CVE-2013-3328, CVE-2013-3329, CVE-2013-3330, CVE-2013-3331, CVE-2013-3332, CVE-2013-3333, CVE-2013-3334, CVE-2013-3335).

Affected software   Recommended player update Availability
Flash Player 11.7.700.169 and earlier versions for Windows and Macintosh   11.7.700.202 Flash Player Download Center
Flash Player 11.7.700.169 and earlier versions for Windows  and Macintosh - network distribution   11.7.700.202 Flash Player Licensing
Flash Player 11.2.202.280 and earlier for Linux   11.2.202.285 Flash Player Download Center
Flash Player 11.1.115.54 and earlier for Android 4.x   11.1.115.58 Applicable only for Android 4.x devices with Flash Player installed prior to August 15, 2012.
Flash Player 11.1.111.50 and earlier for Android 3.x and 2.x   11.1.111.54 Update to devices that already have Flash Player installed prior to August 15, 2012.
Flash Player 11.7.700.169 and earlier for Chrome (Macintosh and Linux)   11.7.700.202 Google Chrome Releases
Flash Player 11.7.700.179 and earlier for Chrome (Windows)   11.7.700.202 Google Chrome Releases
Flash Player 11.7.700.169 and earlier in Internet Explorer 10 for Windows 8   11.7.700.202 Microsoft Security Advisory
AIR 3.7.0.1530 and earlier for Windows and Macintosh   3.7.0.1860 AIR Download Center
AIR 3.7.0.1530 SDK & Compiler   3.7.0.1860 AIR SDK Download
AIR 3.7.0.1660 and earlier for Android   3.7.0.1860 Google play or Amazon Marketplace
      (browse from an Android device)

Acknowledgments

Adobe would like to thank the following individuals for reporting the relevant issues and for working with Adobe to help protect our customers:

  • Mateusz Jurczyk and Ben Hawkes of the Google Security Team (CVE-2013-2728, CVE-2013-3324, CVE-2013-3325, CVE-2013-3326, CVE-2013-3327, CVE-2013-3328, CVE-2013-3329, CVE-2013-3330, CVE-2013-3331, CVE-2013-3332)
  • Mateusz Jurczyk, Gynvael Coldwind, and Fermin Serna of the Google Security Team (CVE-2013-3333, CVE-2013-3334, CVE-2013-3335)